Name: system-switch-displaymanager
Summary: A display manager switcher for GDM, KDM, XDM, WDM, LightDM, LXDM and SDDM 
Version: 1.5.1
Release: 3%{?dist}
URL: http://than.fedorapeople.org/system-switch-displaymanager
Source: http://than.fedorapeople.org/system-switch-displaymanager/%{name}-%{version}.tar.xz
License: GPLv2+
Group: User Interface/Desktops
Buildroot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch: noarch
Requires: polkit
BuildRequires: python2
BuildRequires: intltool
BuildRequires: gettext
BuildRequires: desktop-file-utils

%description
The Display Manager Switcher is a tool which enables users to easily switch
between various deskplay managers that they have installed. The tool includes
support for GDM, KDM, XDM, WDM, LightDM, LXDM and SDDM.

Install system-switch-displaymanager if you need a tool for switching between
display managers.

%package gnome
Group: User Interface/Desktops
Summary: A graphical interface for the Display Manager Switcher
Requires: %{name} = %{version}-%{release} python2 pygtk2

%description gnome
The system-switch-displaymanager-gnome package provides the GNOME graphical user
interface for the Display Manager Switcher.

%prep

%setup -q -n %{name}-%{version}

%build
make

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING
%dir %{_datadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/polkit-1/actions/*
%{_datadir}/%{name}/%{name}-helper
%{_mandir}/man1/*

%files gnome
%defattr(-,root,root)
%{_datadir}/%{name}/pixmaps
%{_datadir}/%{name}/*.glade
%{_datadir}/%{name}/*.py*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/*/*.png

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Feb 01 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.5.1-2
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Sat Jul 29 2017 Than Ngo <than@redhat.com> - 1.5.1-1
- release 1.5.1, fix regex error with new perl

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jun 28 2016 Than Ngo <than@redhat.com> - 1.5-6
- bz#493848, use frames without borders, using bold labels, spacing and indetation
- bz#356022, makes OK button sensitive

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Sep 23 2015 Than Ngo <than@redhat.com> - 1.5-4
- bz#1261420 - fix error message

* Fri Jul 03 2015 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.5-3
- Add dist-tag (RHBZ #1237189).

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Feb 26 2015 Than Ngo <than@redhat.com> 1.5-1
- looks for the sddm binary in /usr/bin

* Fri Jan 30 2015 Than Ngo <than@redhat.com> 1.4-1
- add lxdm, sddm support

* Tue Nov 27 2012 Than Ngo <than@redhat.com> - 1.3-1
- polkit support
- systemd support

* Wed Sep 24 2008 Than Ngo <than@redhat.com> 1.2-1
- 1.2
- WDM setting issue
- add missing icons for WDM/XDM

* Thu Sep 11 2008 Than Ngo <than@redhat.com> 1.1-1
- rename to system-switch-displaymanager

* Fri Aug 15 2008 Than Ngo <than@redhat.com> 1.0-1
- 1.0
